# class Byebug::DownCommand

Move the current frame down in the backtrace.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/frame.rb, line 162
    def description
      prettify <<-EOD
        down[ count] Move to lower frame.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/frame.rb, line 158
    def names
      %w(down)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/frame.rb, line 150
    def execute
      pos, err = parse_steps(@match[1], 'Down')
      return errmsg(err) unless pos

      adjust_frame(-pos, false)
    end

regexp() click to toggle source

    # File lib/byebug/commands/frame.rb, line 146
    def regexp
      /^\s* down (?:\s+(\S+))? \s*$/x
    end